## net.i2p.data.i2np
Class EndPointPublicKey

    java.lang.Object
      net.i2p.data.DataStructureImpl
          net.i2p.data.i2np.EndPointPublicKey

All Implemented Interfaces:
  DataStructure

    public class EndPointPublicKey

extends DataStructureImpl

Contains the public key which matches the EndPointPrivateKey. This is published on the LeaseSet and used to encrypt messages to the router to which a Destination is currently connected.

Author:
  jrandom

Constructor Summary
`EndPointPublicKey()`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`PublicKey` `getKey()`
`int` `hashCode()`
`void` `readBytes(java.io.InputStream in)` Load up the current object with data from the given stream.
`void` `setKey(PublicKey key)`
`java.lang.String` `toString()`
`void` `writeBytes(java.io.OutputStream out)` Write out the data structure to the stream, using the format defined in the I2P data structure specification.

Methods inherited from class net.i2p.data.DataStructureImpl
`calculateHash, fromBase64, fromByteArray, read, toBase64, toByteArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EndPointPublicKey

    public EndPointPublicKey()

Method Detail

### getKey

    public PublicKey getKey()

### setKey

    public void setKey(PublicKey key)

### readBytes

    public void readBytes(java.io.InputStream in)
                   throws DataFormatException,
                          java.io.IOException

  Description copied from interface: `DataStructure`
  Load up the current object with data from the given stream. Data loaded this way must match the I2P data structure specification.

  Parameters:
    `in` - stream to read from
  Throws:
    `DataFormatException` - if the data is improperly formatted
    `java.io.IOException` - if there was a problem reading the stream

### writeBytes

    public void writeBytes(java.io.OutputStream out)
                    throws DataFormatException,
                           java.io.IOException

  Description copied from interface: `DataStructure`
  Write out the data structure to the stream, using the format defined in the I2P data structure specification.

  Parameters:
    `out` - stream to write to
  Throws:
    `DataFormatException` - if the data was incomplete or not yet ready to be written
    `java.io.IOException` - if there was a problem writing to the stream

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`